## syslinux-legacy 3.63%2Bdfsg

=== sample/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2001-2008 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

##
## samples for syslinux users
##

TMPFILE = $(shell mktemp /tmp/gcc_ok.XXXXXX)

gcc_ok   = $(shell tmpf=$(TMPFILE); if $(CC) $(1) -c -x c /dev/null -o $$tmpf 2>/dev/null; \
	           then echo $(1); else echo $(2); fi; rm -f $$tmpf)

M32       := $(call gcc_ok,-m32,) $(call gcc_ok,-ffreestanding,) $(call gcc_ok,-fno-stack-protector,)

CC         = gcc
LD         = ld -m elf_i386
AR	   = ar
NASM	   = nasm
NASMOPT	   = -O9999
RANLIB	   = ranlib
CFLAGS     = $(M32) -W -Wall -march=i386 -Os -fomit-frame-pointer -I../com32/include
SFLAGS     = $(M32) -march=i386
LDFLAGS    = -s
OBJCOPY    = objcopy
PPMTOLSS16 =	../ppmtolss16
LIB	   = liboldcom32.a
GZIP	   = gzip
PNGTOPNM   = pngtopnm

LIBOBJS	   = conio.o atou.o skipatou.o printf.o c32exit.o

.SUFFIXES: .lss .c .o .elf .c32

all: syslogo.lss comecho.com hello.c32 hello2.c32 filetest.c32 c32echo.c32 \
     fd.c32 $(LIB)

.PRECIOUS: %.o
%.o: %.S
	$(CC) $(SFLAGS) -c -o $@ $<

.PRECIOUS: %.o
%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

.PRECIOUS: %.elf
%.elf: c32entry.o %.o $(LIB)
	$(LD) -Ttext 0x101000 -e _start -o $@ $^

%.c32: %.elf
	$(OBJCOPY) -O binary $< $@

%.com: %.asm
	$(NASM) $(NASMOPT) -f bin -o $@ -l $*.lst $<

$(LIB): $(LIBOBJS)
	rm -f $@
	$(AR) cq $@ $^
	$(RANLIB) $@

%.lss:	%.ppm.gz $(PPMTOLSS16)
	$(GZIP) -cd $< | \
		$(PPMTOLSS16) \#000000=0 \#d0d0d0=7 \#f6f6f6=15	\
		> $@

%.ppm.gz: %.png
	$(PNGTOPNM) $< | gzip -9 > $@

tidy:
	rm -f *.o *.a *.lst *.elf

# Don't specify *.com since mdiskchk.com can't be built using Linux tools
clean: tidy
	rm -f *.lss *.o *.c32 comecho.com

spotless: clean

## syslinux-legacy 3.63+dfsg

=== extlinux/Makefile ===
TMPFILE = $(shell mktemp /tmp/gcc_ok.XXXXXX)

gcc_ok   = $(shell tmpf=$(TMPFILE); if $(CC) $(1) ../dummy.c -o $$tmpf 2>/dev/null; \
	           then echo '$(1)'; else echo '$(2)'; fi; rm -f $$tmpf)

comma   := ,
LDHASH  := $(call gcc_ok,-Wl$(comma)--hash-style=both,)

CC	 = gcc
OPTFLAGS = -g -Os
INCLUDES = -I. -I.. -I../libinstaller
CFLAGS	 = -W -Wall -Wno-sign-compare -D_FILE_OFFSET_BITS=64 $(OPTFLAGS) $(INCLUDES)
LDFLAGS	 = $(LDHASH) # -s

SRCS     = extlinux.c setadv.c extlinux_bss_bin.c extlinux_sys_bin.c
OBJS	 = $(patsubst %.c,%.o,$(notdir $(SRCS)))

.SUFFIXES: .c .o .i .s .S

VPATH = .:..:../libinstaller

all: installer

tidy:
	-rm -f *.o *.i *.s *.a .*.d

clean: tidy
	-rm -f extlinux

spotless: clean
	-rm -f *~

installer: extlinux

extlinux: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

%.o: %.c
	$(CC) -Wp,-MT,$@,-MMD,.$@.d $(CFLAGS) -c -o $@ $<
%.i: %.c
	$(CC) $(CFLAGS) -E -o $@ $<
%.s: %.c
	$(CC) $(CFLAGS) -S -o $@ $<

-include .*.d

=== menu/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2001-2008 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

##
## samples for syslinux users
##

TMPFILE = $(shell mktemp /tmp/gcc_ok.XXXXXX)

gcc_ok   = $(shell tmpf=$(TMPFILE); if $(CC) $(1) -c -x c /dev/null -o $$tmpf 2>/dev/null; \
	           then echo $(1); else echo $(2); fi; rm -f $$tmpf)

M32     := $(call gcc_ok,-m32,) $(call gcc_ok,-fno-stack-protector,)

CC         = gcc
LD         = ld -m elf_i386
AR	   = ar
NASM	   = nasm
NASMOPT	   = -O9999
RANLIB	   = ranlib
COM32DIR   = ../com32
LUDIR      = $(COM32DIR)/libutil
LDIR       = $(COM32DIR)/lib
CFLAGS     = $(M32) -mregparm=3 -DREGPARM=3 -W -Wall -march=i386 -Os -fomit-frame-pointer -I$(LUDIR)/include -I$(COM32DIR)/include  -Ilibmenu -D__COM32__
SFLAGS     = -D__COM32__ -march=i386
LDFLAGS    = -T $(LDIR)/com32.ld
OBJCOPY    = objcopy
LIBGCC    := $(shell $(CC) --print-libgcc)

LIBS	   = libmenu/libmenu.a $(LUDIR)/libutil_com.a $(LDIR)/libcom32.a $(LIBGCC)

LIBMENU = libmenu/syslnx.o libmenu/com32io.o libmenu/tui.o \
	libmenu/menu.o libmenu/passwords.o libmenu/des.o libmenu/help.o

CMENUS = $(patsubst %.c,%.c32,$(wildcard *.c))
IMENUS = $(patsubst %.menu,%.c32,$(wildcard *.menu))

MENUS = $(CMENUS) $(IMENUS)

.SUFFIXES: .S .c .o .elf .c32 .menu

.PRECIOUS: %.c
%.c: %.menu adv_menu.tpl
	python menugen.py --input=$< --output=$@ --template=adv_menu.tpl

.PRECIOUS: %.o
%.o: %.S
	$(CC) $(SFLAGS) -c -o $@ $<

.PRECIOUS: %.o
%.o: %.c %.h
	$(CC) $(CFLAGS) -c -o $@ $<

.PRECIOUS: %.elf
%.elf: %.o $(LIBS)
	$(LD) $(LDFLAGS) -o $@ $^

%.c32: %.elf
	$(OBJCOPY) -O binary $< $@

all: menus

libmenu/libmenu.a: $(LIBMENU)
	-rm -f $@
	$(AR) cq $@ $^
	$(RANLIB) $@

tidy:
	rm -f *.o *.lo *.a *.lst *.elf

libclean:
	rm -f libmenu/*.o libmenu/*.a

clean: tidy menuclean
	rm -f *.lss *.c32 *.com

menuclean:
	rm -f $(patsubst %.menu,%.c,$(wildcard *.menu))

spotless: clean libclean menuclean
	rm -f *~ \#*

menus: $(MENUS)

install:	# Don't install samples

=== unix/Makefile ===
TMPFILE = $(shell mktemp /tmp/gcc_ok.XXXXXX)

gcc_ok   = $(shell tmpf=$(TMPFILE); if $(CC) $(1) ../dummy.c -o $$tmpf 2>/dev/null; \
	           then echo '$(1)'; else echo '$(2)'; fi; rm -f $$tmpf)

comma   := ,
LDHASH  := $(call gcc_ok,-Wl$(comma)--hash-style=both,)

CC	 = gcc
OPTFLAGS = -g -Os
INCLUDES = -I. -I.. -I../libinstaller
CFLAGS	 = -W -Wall -D_FILE_OFFSET_BITS=64 $(OPTFLAGS) $(INCLUDES)
LDFLAGS	 = $(LDHASH) -s

SRCS     = syslinux.c ../syslxmod.c ../bootsect_bin.c ../ldlinux_bin.c
OBJS	 = $(patsubst %.c,%.o,$(notdir $(SRCS)))

.SUFFIXES: .c .o .i .s .S

VPATH = .:..:../libinstaller

all: installer

tidy:
	-rm -f *.o *.i *.s *.a .*.d

clean: tidy
	-rm -f syslinux syslinux-nomtools

spotless: clean
	-rm -f *~

installer: syslinux syslinux-nomtools

syslinux: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

syslinux-nomtools: syslinux
	ln -f $< $@

%.o: %.c
	$(CC) -Wp,-MT,$@,-MMD,.$@.d $(CFLAGS) -c -o $@ $<
%.i: %.c
	$(CC) $(CFLAGS) -E -o $@ $<
%.s: %.c
	$(CC) $(CFLAGS) -S -o $@ $<

-include .*.d

=== debian/changelog ===
syslinux-legacy (2:3.63+dfsg-2ubuntu8) wily; urgency=medium

  * Build com32 using -fgnu89-inline for GCC 5.
  * Convert to dpkg 3.0 package format.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 04:31:46 +0200

syslinux-legacy (2:3.63+dfsg-2ubuntu6) vivid; urgency=medium

  * Build using -fgnu89-inline for GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2015 17:37:24 +0100

syslinux-legacy (2:3.63+dfsg-2ubuntu5) precise; urgency=low

  [ Colin Watson ]
  * This package is just for usb-creator, so strip down to only what
    usb-creator needs, i.e. syslinux and mbr.bin.  423KB vs. 48KB (on i386)
    is a noticeable difference.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 16 Apr 2012 14:27:48 +0100

syslinux-legacy (2:3.63+dfsg-2ubuntu4) precise; urgency=low

  [ Evan Dandrea ]
  * Resurrect syslinux 3.63 as syslinux-legacy, so that we can write
    10.04 and earlier Ubuntu images in later versions (LP: #645818).

  [ Colin Watson ]
  * 15-ubuntu_nasm_2.09.dpatch: Fix build with nasm >= 2.09.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 16 Mar 2012 10:51:50 +0000

syslinux (2:3.63+dfsg-2ubuntu3) intrepid; urgency=low

  * Drop mtools back to Recommends now that recommended packages are
    installed by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Jul 2008 13:39:32 +0100

syslinux (2:3.63+dfsg-2ubuntu2) intrepid; urgency=low

  * 13-ubuntu_com32_gfxboot.dpatch: Turn progress operations into no-ops
    unless gfx_progress_init has been called. Fixes a crash when both com32
    and gfxboot are used, since loading a com32 object calls load_high which
    calls gfx_progress_update.
  * 14-ubuntu_gfxboot_force_prompt.dpatch: Always prompt if a gfxboot menu
    is set up.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 14:55:26 +0100

syslinux (2:3.63+dfsg-2ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - debian/control:
      + Build package for lpia.
      + Don't build-depend on mingw32.
      + Depend on mtools.
    - debian/docs:
      + Add README.gfxboot.
    - debian/rules:
      + Make sure add_crc is executable.
      + Regenerate keyword hash.
    - debian/patches/10-ubuntu_makefile.dpatch:
      + Don't build syslinux.exe.
    - debian/patches/11-suse_gfxboot.dpatch
      + Add gfxboot, updated from openSUSE 3.63-13.
    - debian/patches/12-ubuntu_localboot-gfxdone.dpatch:
      + Make sure screen is cleared when using gfxboot.
  * Add descriptions for Ubuntu-specific patches.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jun 2008 15:41:30 +0100

syslinux (2:3.63+dfsg-2) unstable; urgency=medium

  * Adding patch from Ryan Finnie <ryan@finnie.org> to extend 64bit
    autodetection to vesamenu.c32 (Closes: #485656).
  * Removing watch file.
  * Bumping policy.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Jun 2008 21:08:00 +0200

syslinux (2:3.63+dfsg-1) unstable; urgency=high

  * New upstream release:
    - Fixes problem with extlinux, which refuses to boot if there are some
      deleted files on the ext2 filesystem (see upstream changelog for more
      information).

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Apr 2008 21:17:00 +0200

syslinux (2:3.70~pre8+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2008 21:33:00 +0200

syslinux (2:3.70~pre7+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2008 13:42:00 +0200

syslinux (2:3.62+dfsg-2) unstable; urgency=medium

  * Applied patch from morph <matrixhasu@gmail.com> to fix clean target
    (Closes: #424225).

 -- Daniel Baumann <daniel@debian.org>  Sat,  5 Apr 2008 08:02:00 +0200

syslinux (2:3.62+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rediffed 02-64bit-autodetection.dpatch.
  * Disabled 03-define-clk-tck.dpatch for now, seems to introduce strange
    behaviour with TIMEOUT on pxelinux, needs further investigation.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2008 13:24:00 +0200

syslinux (2:3.61+dfsg-1) unstable; urgency=medium

  * Rebuild upstream tarball without non-free RFC document (Closes: #463930).

 -- Daniel Baumann <daniel@debian.org>  Tue,  5 Feb 2008 07:28:00 +0100

syslinux (2:3.61-1) unstable; urgency=low

  * New upstream release.
  * Bumping package to debhelper 6.

 -- Daniel Baumann <daniel@debian.org>  Mon,  4 Feb 2008 07:16:00 +0100

syslinux (2:3.60-2) experimental; urgency=low

  * Applied update of 02-64bit-autodetection.dpatch from Robert Millan
    <rmh@aybabtu.com> (Closes: #462157).

 -- Daniel Baumann <daniel@debian.org>  Thu, 24 Jan 2008 07:34:00 +0100

syslinux (2:3.55-2) unstable; urgency=medium

  * Applied update of 02-64bit-autodetection.dpatch from Robert Millan
    <rmh@aybabtu.com> (Closes: #462157).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Jan 2008 23:21:00 +0100

syslinux (2:3.60-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Jan 2008 20:04:00 +0100

syslinux (2:3.55-1) unstable; urgency=low

  * New upstream release.
  * Don't hide make errors in clean call of rules.

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Jan 2008 19:59:00 +0100

syslinux (2:3.60~pre6-1) experimental; urgency=low

  * New upstream release.
  * Removed manpages, went upstream.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Dec 2007 08:22:00 +0100

syslinux (2:3.54-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Dec 2007 09:45:00 +0100

syslinux (2:3.53-1ubuntu2) hardy; urgency=low

  * isolinux.asm: Remove reference to non-existent CD2 (LP: #62950).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 11 Dec 2007 12:12:38 -0500

syslinux (2:3.53-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + DebianMaintainerField.
      + Build package for lpia.
      + Don't build-depend on mingw32.
    - debian/docs:


=== debian/control ===
Source: syslinux-legacy
Section: utils
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 6), gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm (>= 0.99.06), netpbm, mtools
Standards-Version: 3.9.6
Homepage: http://syslinux.zytor.com/

Package: syslinux-legacy
Architecture: amd64 i386 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mtools
Description: Bootloader for Linux/i386 using MS-DOS floppies
 SYSLINUX is a boot loader for the Linux/i386 operating system which operates
 off an MS-DOS/Windows FAT filesystem. It is intended to simplify first-time
 installation of Linux, and for creation of rescue and other special-purpose
 boot disks.
 .
 It can also be used as a PXE bootloader during network boots.
 .
 SYSLINUX is probably not suitable as a general purpose boot loader. However,
 SYSLINUX has shown itself to be quite useful in a number of special-purpose
 applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DATE=$(shell date +%Y-%m-%d)
VERSION=$(shell cat version)

upstream:
	rm -f doc/rfc5071.txt

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir

	# gfxboot
	chmod +x add_crc
	perl genhash.pl < keywords > kwdhash.gen

	# Building package
	$(MAKE) DATE="Debian-$(DATE)" VERSION="$(VERSION)"

	# Building images
	install -d -m 0755 build

	for SIZE in 720 1200 1440 1743; \
	do \
		dd if=/dev/zero of=build/img$${SIZE}k bs=1k count=$$SIZE || exit 1; \
	done

	for DRIVE in a: b: c: d:;\
	do \
		MTOOLSRC=debian/config/mtoolsrc mformat $$DRIVE || exit 1; \
	done

	for SIZE in 720 1200 1440 1743; \
	do \
		mtools/syslinux -s build/img$${SIZE}k || exit 1; \
	done

	gzip -9 build/*

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f .depend memdisk/.depend
	rm -f dos/syslinux.com extlinux.bin extlinux.bss extlinux.sys isolinux-debug.bin isolinux.bin ldlinux.bin ldlinux.bss ldlinux.sys memdisk/memdisk memdump/memdump.com pxelinux.0
	rm -rf build
	rm -f man/*-legacy*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	install -d -m 0755 debian/syslinux-legacy/usr/bin
	install -m 0755 mtools/syslinux debian/syslinux-legacy/usr/bin
	# Do not conflict with binaries in the current syslinux package
	for FILE in debian/syslinux-legacy/usr/bin/*; \
	do \
		mv $$FILE $$FILE-legacy; \
	done
    # Or man pages
	for FILE in man/syslinux.1; \
	do \
		cp $$FILE $$(echo $$FILE | sed 's,\(.*\)\.,\1-legacy.,'); \
	done

	install -d -m 0755 debian/syslinux-legacy/usr/lib/syslinux-legacy
	install -m 0644 mbr/mbr.bin debian/syslinux-legacy/usr/lib/syslinux-legacy

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
